<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
	if (!defined("IGNX")) { die("Attempt..."); }

	// encontrar modo
	if (!defined("INGENIO_X_MODO"))
	{
		define("INGENIO_X_MODO", "web");
	}

	if (INGENIO_X_MODO == "web")
	{	

		if (CONFIG_1 == 0) { // NO mod_rewrite

			define('NOMBRE_DOMINIO', "http://".$ingenio_conn[4]);
			define('RUTA_INICIO', '/'.$ingenio_conn[5].'/'.'index.php?');
			define('RUTA_INICIO_IMG', '/'.$ingenio_conn[5].'/');
			define('IGUAL', '=');
			define('AMPER', '&');
			define('CONEX_BUSCAR',  '/'.$ingenio_conn[5].'/'.'index.php?');
			define('CONEX_CANAL',  '/'.$ingenio_conn[5].'/'.'canal.php?');
			define('CONEX_RSS_FEEDS', NOMBRE_DOMINIO.'/'.$ingenio_conn[5].'/'.'canal.php?');
			define('RUTA_CANAL_RSS', NOMBRE_DOMINIO.'/'.$ingenio_conn[5].'/'.'index.php?');	
			define('RUTA_CANAL_RSS_IMG', NOMBRE_DOMINIO.'/'.$ingenio_conn[5].'/');
			define('CARGAR_DIR_IMG', '/'.$ingenio_conn[5].'/'.'img');
	
		} else if (CONFIG_1 == 1) { // SI mod_rewrite
	
			define('NOMBRE_DOMINIO', "http://".$ingenio_conn[4]);
			define('RUTA_INICIO', '/n/');
			define('RUTA_INICIO_IMG', '/'.$ingenio_conn[5].'/');
			define('IGUAL', '/');
			define('AMPER', '/');
			define('CONEX_BUSCAR', '/n/');
			define('CONEX_CANAL', '/canal/');
			define('CONEX_RSS_FEEDS', NOMBRE_DOMINIO.'/canal/');
			define('RUTA_CANAL_RSS', NOMBRE_DOMINIO.'/n/');	
			define('RUTA_CANAL_RSS_IMG', NOMBRE_DOMINIO.'/'.$ingenio_conn[5].'/');
			define('CARGAR_DIR_IMG', '/'.$ingenio_conn[5].'/'.'img');
	
		} else {

			die("ERROR: !mod_rewrite");
	
		}


	} else if (INGENIO_X_MODO == "prev")
	{
		
		$tpl_modo_add = "modo=prev&";	
			
			// NO mod_rewrite
			define('NOMBRE_DOMINIO', "http://".$ingenio_conn[4]);
			define('RUTA_INICIO', '/'.$ingenio_conn[5].'/'.'index.php?'.$tpl_modo_add);
			define('RUTA_INICIO_IMG', '/'.$ingenio_conn[5].'/');
			define('IGUAL', '=');
			define('AMPER', '&');
			define('CONEX_BUSCAR',  '/'.$ingenio_conn[5].'/'.'index.php?'.$tpl_modo_add);
			define('CONEX_CANAL',  '/'.$ingenio_conn[5].'/'.'canal.php?');
			define('CONEX_RSS_FEEDS', NOMBRE_DOMINIO.'/'.$ingenio_conn[5].'/'.'canal.php?');
			define('RUTA_CANAL_RSS', NOMBRE_DOMINIO.'/'.$ingenio_conn[5].'/'.'index.php?'.$tpl_modo_add);	
			define('RUTA_CANAL_RSS_IMG', NOMBRE_DOMINIO.'/'.$ingenio_conn[5].'/');
			define('CARGAR_DIR_IMG', '/'.$ingenio_conn[5].'/'.'img');


	}




?>